Description

Supportanfrage

Ich bin auf der Suche nach einer Möglichkeit ein mdf4 Messdatenfile in ADTF abzuspielen, d.h. es entweder in *.dat zu konvertieren

oder direkt in ADTF einzulesen. Ist euch da eine Lösung bekannt?

Hintergrund: Gemessen wurde der innere Funktionsrahmen einer Funktion die nun in ADTF per Resimulation bespasst wird. Für den

POC haben wir die Messung per Python Skript in ein CSV überführt und das per selbstgebautem Filter ins ADTF und dann in die

Funktion eingespielt. Das funktioniert zwar, ist aber nicht sehr robust und für den Einsatz in der Serienentwicklung eher ungeeignet.

Daher bin ich auf der Suche nach einer besseren Lösung.

Falls da doch noch eine Lösung auftaucht (gerne auch 100% inoffiziell und unsupported) wäre das klasse. Mein ANÜ fängt gerade

an die MDFs in Parquet zu konvertieren um dann einen ADTF-Filter zu basteln welcher den Parquet-Datenstrom in meine Funktion

füttert (die Parquet-libs sind inzwischen bei Apache Arrow und ganz gut). Wie gesagt, die freie ASAM C++-Lib haben wir schon

probiert, die ist leider nicht performant und als ich Vector nach deren mdf-Lib angefragt habe wollte die gleich ein riesen Projekt

ansetzten. Daher läuft der PoC (siehe unten) über das asammdf Python-Packet in CSV und dann in ADTF, quick and dirty halt.

Lösung

Aktuell unterstützt ADTF nur einen Export nach mdf/mf4, das soweit zur Anforderung.

Ein Import ins DAT Format ist nicht geplant, ebenso wurden ein MDF oder HDF Player/Recorder vom Kundenforum verneint, es

bleibt beim DAT und Export/Import.

Offen wäre derzeit eine Importfunktion, das müsste man als Anforderung abstimmen oder seperat beauftragen, das wurde auch

bisher immer vermieden diese Toolchain.

Bei einen alternativen Player gäbe es auch viel was Timing und Co betrifft zu beachten, ebenso beim SIgnal oder

Botschaftsorientierten Support, ebenso beim passenden Parser ?

Bei BOSCH gibt es einen MDF Player/Recorder in ADTF 2, ich schätze aber hier ist kein Austausch möglich zwischen den Firmen ?

Das wird auch sicher auf ADTF 3 portiert und es gibt Bestrebungen hinsichtlich den kommenden Component Store das ggf. allen

Kundenforumsteilnehmern zur Verfügung zu stellen oder in den Core wandern zu lassen, das wäre aber keine kurzfristige Lösung

und noch viel Redebedarf.

History

#1 - 2020-01-30 15:53 - hidden

- Project changed from Public Support to 11

- Topic set to ADTF::Common

Hallo Ralf,

aus technischen Gründen kann eine Anfrage nicht nach Digitalwerk Support weitergeleitet werden.

Das System identifiziert anhand der E-Mail Adresse, ob ein Anwender registriert ist. Durch das Weiterleiten würde die Absenderadresse verfälscht,

und die Anfrage würde grundsätzlich verworfen werden. Evtl. muss hier der Antworttext um diese Information erweitert werden.

Da du registriert bist, und Timo Haid ebenfalls, wurde über deinen Account das Ticket erstellt.

Wir können das Ticket anschließend auf Timo Haid umstellen, da dieser ebenfalls registriert ist.
@Florian Ergänzungen zu den technischen Hintergründen?

Falls nicht, bitte Ticket umstellen und zuweisen

#2 - 2020-01-30 17:47 - hidden

- Project changed from 11 to 16

- Subject changed from AW: mdf4 in dat konvertieren oder direkt in ADTF verarbeiten to mdf4 in dat konvertieren oder direkt in ADTF verarbeiten

- Description updated

- Status changed from New to Customer Feedback Required

- Author changed from hidden to hidden

- Topic changed from ADTF::Common to DeviceTB::MDF

- Customer set to PORSCHE

Hallo Timo,

habe das Ticket etwas aufgeräumt und auf dich gestellt, restlichen Personen sind als Watcher sozusagen "CC".

Vorweg:

Sprechen wir von ADTF 2 oder ADTF 3 ?

Im ADTF 2 sollten defintiv keine neuen Entwicklungen mehr stattfinden, bei Bedarf können wir auch gerne unterstützen, allgemein.

Zum Thema:

Aktuell unterstützt ADTF nur einen Export nach mdf/mf4, das soweit zur Anforderung.

Ein Import ins DAT Format ist nicht geplant, ebenso wurden ein MDF oder HDF Player/Recorder vom Kundenforum verneint, es bleibt beim DAT und

Export/Import.

Offen wäre derzeit eine Importfunktion, das müsste man als Anforderung abstimmen oder seperat beauftragen, das wurde auch bisher immer

vermieden diese Toolchain.

Bei einen alternativen Player gäbe es auch viel was Timing und Co betrifft zu beachten, ebenso beim SIgnal oder Botschaftsorientierten Support,

ebenso beim passenden Parser ?

Bei BOSCH gibt es einen MDF Player/Recorder in ADTF 2, ich schätze aber hier ist kein Austausch möglich zwischen den Firmen ?

Das wird auch sicher auf ADTF 3 portiert und es gibt Bestrebungen hinsichtlich den kommenden Component Store das ggf. allen

Kundenforumsteilnehmern zur Verfügung zu stellen oder in den Core wandern zu lassen, das wäre aber keine kurzfristige Lösung und noch viel

Redebedarf.

So der aktuelle Stand, wie sieht eure Roadmap, Platform etc dazu aus und kommen hier Ideen in Frage ?

PS: Bei einer Eigenentwicklung können wir auch versuchen zu unterstützen, gerade das Thema Timing erfordert viel in ADTF, was dann wieder den

Offline Betrieb betrifft.

#3 - 2020-01-31 11:45 - hidden

Hallo,

gibt es inzwischen eine Idee für den Austausch von solchen Modulen?

Sollten wir nicht so einen Anwendungsfall nutzen – wenn gewünscht – um in eine solche Diskussion einzusteigen?

Danke

r

#4 - 2020-01-31 12:25 - hidden

gibt es inzwischen eine Idee für den Austausch von solchen Modulen?

Sollten wir nicht so einen Anwendungsfall nutzen – wenn gewünscht – um in eine solche Diskussion einzusteigen?

 @Ralf: Component Store wurde bereits im Kundenforum diskutiert und für gut empfunden, erster Prototyp ist auch vorgestellt im letzten Kufo,

Umsetzung nun für dieses Halbjahr geplant (läuft ja abseits Kufo und in Eigenleistung).

Die erste Iteration bekommen wir sicherlich bis Ende des Quartals hin, dann sollten zumindest Strukturen definiert und Komponenten

upload/download funktionieren.

Die nächste(n) Ausbaustufen wären direkte Integration in CE (search/Download), letzte Ausbaustufe dass sich der Launcher anhand der

Systemdefintionen die benötigten Komponenten zieht (mit welcher Technologie auch immer).

Zurück zum Thema:

Ball liegt bei BOSCH wegen Portierung und auch Bereitstellung, bis dahin existiert dann auch die Platform.

Obs seitens BOSCH realisiert wird, kann ich nicht sagen.

Deshalb die alternativen Optionen, Auftrag oder ganz konkret einen Importer ins Kufo einzuspeisen -> dann sollte Timo sich bitte an Pierre wenden.
Wenn dann macht ein Importer Sinn, Player/Recorder wurde zuletzt bei HDF/MDF im letzten Kufo diskutiert und verneint, Export ausreichend.

#5 - 2020-02-04 07:56 - hidden

Hallo Zusammen,

vielen Dank für die Rückmeldungen. Ich nehme für mich mit, dass es momentan eine Kundenlösung für ADTF2 bei Bosch gibt. Da ich das Ganze für

eine Bosch SWC brauche, werde ich mal sehen ob meine Bosch-Kontakte das Teil besorgen und zur Verfügung stellen können. Da ich das Thema

mdf4-replay auch für FEP lösen muss, wäre Plan B ein kleines FEP-System mit mdf-replayer (wie auch immer der aussieht) und ADTF.

PS: Die Sache mit dem Component Store finde ich super. Könnt ihr mich dazu bitte auf dem Laufenden halten?

Vielen Dank und Viele Grüße,

Timo

#6 - 2020-02-04 08:18 - hidden

- Subject changed from mdf4 in dat konvertieren oder direkt in ADTF verarbeiten to MDF/Mf4 Replay in ADTF

- Description updated

- Resolution set to Not Supported Scope

Hallo Timo,

das klingt super mit BOSCH Kontakt und auch der FEP Ansatz. Gerne können wir versuchen beim Design zu unterstützen, alles hinsichtlich Timing,

Replay und Streamtime ist da ja immer nicht von ungefähr...

Zum Thema Component Store bist du hier im Portal genau richtig und wirst es über die News erfahren.

Zu Beginn wird das sicher erstmal rein public sein und auch die Standardkomponenten enthalten.

Heißt du kannst dann von Device TB zum Bsp. eine einzelne Binary ziehen oder aktualisieren.

Es sind auch Bundles angedacht, die Toolboxen mehr oder weniger ablösen sollen.

Und natürlich private Bereiche für Abteilungen, Firmen etc.

Und wenn am Ende des Tages alles noch im CE und Launcher integriert ist, dann umso besser.

Wichtiger Hinweis:

Wir sprechen hier von reinen ADTF 3.x, das zum Jahresende auslaufende 2.x ist wie bei allen Feature Requests obsolet.

Ich würde das Thema an der Stelle abschließen und wenn du weitere Fragen hast oder Input benötigst, dann einfach hier ein Ticket eröffnen oder

Mail an DW-Support, dann wird es automatisch erstellt.

#7 - 2020-02-04 08:18 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#10 - 2020-07-07 16:24 - hidden

- Project changed from 16 to Public Support

- Private changed from Yes to No

#11 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed
